<template>
    <div class="h2">List Attribute Values</div>
    <hr>
  <div>
    <ul class="test-list" >
      <li class="test-list--item" v-for="(attribute,key,index) in attributeList" :key="attribute.id">
        <input type="text" class="form-control" name="attribute_values[]" v-model="attribute.name" >
        <button class="btn btn-error" v-on:click="remove(key,$event)">
            <i class="fa fa-close"></i>
        </button>
      </li>
    </ul>
    <a class="btn btn-primary" v-on:click="add" href="#">Add Values</a>
  </div>
</template>
<script>
import axios from "axios";
export default {
    props: ['attributeid'],
    data() {
        return {
        attributeList: []
        };
    },
    mounted() {    
        axios.get("http://cars-test.test/@dminJLB/attribute_values/"+this.attributeid)
        .then(res => {
            this.attributeList = res.data;
       
        })
        .catch(error => {
            console.log(error)
        })
    },
    methods: {
        add: function(event){
            if (event) {
                event.preventDefault();
                this.attributeList.push({'id' : this.makeid(5),'name' : ''});
            }
        },
        remove: function(index,event) {
            event.preventDefault();   
            this.attributeList.splice(index, 1);
        },
        makeid(length) {
            var result           = '';
            var characters       = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
            var charactersLength = characters.length;
            for ( var i = 0; i < length; i++ ) {
                result += characters.charAt(Math.floor(Math.random() * charactersLength));
            }
            return result;
        }
    }
};
</script>